Permalink
Browse files

removed deprecated get_line function from Mojo::Util

  • Loading branch information...
1 parent 942e101 commit 4b970fe05a2dc2975b8d90a17b4b86b8e521ea55 @kraih committed May 2, 2014
Showing with 8 additions and 18 deletions.
  1. +2 −1 Changes
  2. +0 −9 lib/Mojo/Util.pm
  3. +5 −4 lib/Mojolicious/Guides/Cookbook.pod
  4. +1 −4 t/pod_coverage.t
View
@@ -1,5 +1,6 @@
-4.98 2014-05-01
+4.98 2014-05-02
+ - Removed deprecated get_line function from Mojo::Util.
- Removed deprecated content_xml, replace_content, text_before, text_after
and to_xml methods from Mojo::DOM.
View
@@ -57,9 +57,6 @@ our @EXPORT_OK = (
qw(xml_escape xor_encode)
);
-# DEPRECATED in Top Hat!
-push @EXPORT_OK, 'get_line';
-
sub b64_decode { decode_base64($_[0]) }
sub b64_encode { encode_base64($_[0], $_[1]) }
@@ -117,12 +114,6 @@ sub dumper {
sub encode { _encoding($_[0])->encode("$_[1]") }
-# DEPRECATED in Top Hat!
-sub get_line {
- deprecated 'Mojo::Util::get_line is DEPRECATED';
- ${$_[0]} =~ s/^(.*?)\x0d?\x0a// ? $1 : undef;
-}
-
sub hmac_sha1_sum { hmac_sha1_hex(@_) }
sub html_unescape {
@@ -168,8 +168,9 @@ parameter.
=head2 Nginx
-One of the most popular setups these days is Hypnotoad behind an Nginx reverse
-proxy, which even supports WebSockets in newer versions.
+One of the most popular setups these days is Hypnotoad behind an
+L<Nginx|http://nginx.org> reverse proxy, which even supports WebSockets in
+newer versions.
upstream myapp {
server 127.0.0.1:8080;
@@ -190,8 +191,8 @@ proxy, which even supports WebSockets in newer versions.
=head2 Apache/mod_proxy
-Another good reverse proxy is Apache with C<mod_proxy>, the configuration
-looks quite similar to the Nginx one above.
+Another good reverse proxy is L<Apache|http://httpd.apache.org> with
+C<mod_proxy>, the configuration looks quite similar to the Nginx one above.
<VirtualHost *:80>
ServerName localhost
View
@@ -7,8 +7,5 @@ plan skip_all => 'set TEST_POD to enable this test (developer only!)'
plan skip_all => 'Test::Pod::Coverage 1.04 required for this test!'
unless eval 'use Test::Pod::Coverage 1.04; 1';
-# DEPRECATED in Top Hat!
-my @tophat = qw(get_line);
-
# False positive constants
-all_pod_coverage_ok({also_private => [qw(IPV6 TLS), @tophat]});
+all_pod_coverage_ok({also_private => [qw(IPV6 TLS)]});

0 comments on commit 4b970fe

Please sign in to comment.